%global hghash d79259b26096
%global apiver 2.3

Name:		sdformat
Version:	2.3.2
Release:	6%{?dist}
Summary:	The Simulation Description Format

License:	ASL 2.0
URL:		http://sdformat.org/
Source0:	http://gazebosim.org/distributions/%{name}/releases/%{name}-%{version}.tar.bz2
# Disable doxygen latex documentation
Patch0:         %{name}-2.0.1-latex.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	gtest-devel
BuildRequires:  ruby >= 1.9
BuildRequires:	texlive-refman
BuildRequires:	tinyxml-devel
BuildRequires:	urdfdom-devel

#Test dependencies
BuildRequires:  python

%description
The Simulation Description Format (SDF) is an XML file format used to 
describe all the elements in a software simulation environment. Originally
part of the Gazebo 3D robotic simulator, %{name} is a C++ library for reading 
and writing files in the sdf format.

%package devel
Summary:	Development files and libraries for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
# For libdir/cmake directory
Requires:	cmake

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:	Documentation for %{name}

%description doc
The %{name}-doc package contains development documentation for
%{name}.

%prep
%setup -q 
%patch0 -p0 -b .latex
# Remove bundled urdf components
rm -rf src/urdf

%build
mkdir build
pushd build
%cmake -DCMAKE_BUILD_TYPE=None -DCMAKE_CXX_FLAGS_NONE="%{optflags}" -DLIB_INSTALL_DIR:STRING=%{_lib} -DUSE_EXTERNAL_URDF=ON   ..

popd
make -C build %{?_smp_mflags}
make -C build doc

%install
make -C build install DESTDIR=%{buildroot}

%check
make -C build test || cat build/Testing/Temporary/LastTest.log

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE COPYING
%doc AUTHORS README
%exclude %{_datadir}/%{name}/cmake
%{_datadir}/%{name}
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{apiver}
%{_libdir}/cmake/%{name}

%files doc
%license LICENSE COPYING
%doc build/doxygen/html

%changelog
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.3.2-5
- rebuild for Boost 1.58

* Sun Jul 05 2015 Rich Mattes <richmattes@gmail.com> - 2.3.2-4
- Rebuild for boost (rhbz#1239159)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Rich Mattes <richmattes@gmail.com> - 2.3.2-2
- Update to release 2.3.2 (rhbz#1225680)

* Sat May 23 2015 Rich Mattes <richmattes@gmail.com> - 2.3.0-1
- Update to release 2.3.0
- Use license macro
- Remove upstream patches

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.1-4
- Rebuilt for GCC 5 C++11 ABI change

* Sat Jan 31 2015 Rich Mattes <richmattes@gmail.com> - 2.0.1-3
- Disable latex documentation generation

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 2.0.1-3
- Rebuild for boost 1.57.0

* Sun Sep 07 2014 Rich Mattes <richmattes@gmail.com> - 2.0.1-2
- Added CMake version script

* Sat Aug 23 2014 Rich Mattes <richmattes@gmail.com> - 2.0.1-1
- Update to release 2.0.1
- Apply upstream patch for urdfdom 0.3 support

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Rich Mattes <richmattes@gmail.com> - 2.0.0-3
- Apply patch for urdf 0.3.0 compatibility

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 2.0.0-3
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 2.0.0-2
- rebuild for boost 1.55.0

* Tue Apr 15 2014 Rich Mattes <richmattes@gmail.com> - 2.0.0-1
- Update to release 2.0

* Sun Feb 09 2014 Rich Mattes <richmattes@gmail.com> - 1.4.11-3
- Rebuild for console-bridge 0.2.5

* Sun Jan 26 2014 Rich Mattes <richmattes@gmail.com> - 1.4.11-2
- Declare LIB_INSTALL_DIR relative to CMAKE_INSTALL_PREFIX (rhbz#1057939)

* Wed Nov 27 2013 Rich Mattes <richmattes@gmail.com> - 1.4.11-1
- Update to release 1.4.11

* Tue Nov 19 2013 Rich Mattes <richmattes@gmail.com> - 1.4.10-2
- Moved documentation into a separate subpackage
- Removed bundled gtest

* Sat Nov 16 2013 Rich Mattes <richmattes@gmail.com> - 1.4.10-1
- Update to release 1.4.10
- Add BuildRequres for tinyxml

* Wed Oct 09 2013 Rich Mattes <richmattes@gmail.com> - 1.4.8-2
- Unbundle urdfdom and urdfdom-headers

* Sun Oct 06 2013 Rich Mattes <richmattes@gmail.com> - 1.4.8-1
- Update to release 1.4.8

* Tue Aug 20 2013 Rich Mattes <richmattes@gmail.com> - 1.4.5-2
- Updated description field

* Sat Aug 17 2013 Rich Mattes <richmattes@gmail.com> - 1.4.5-1
- Initial package
